public class Planète
{
  public String nom;
  public double distance;
  public double période;
  public double masse;
  public int diamètre;
  
  public Planète(String n, double ds, double p, double m, int dm)
  {
    nom = n;
    distance = ds;
    période = p;
    masse = m;
    diamètre = dm;
  }
  
  public String toString() {
    String txt = nom + "\n";
    txt = txt + "- Distance moyenne au Soleil : " + distance + " millions de km \n";
    int j = (int)période;
    int h = (int)((période - j) * 24.0D);
    txt = txt + "- Période de rotation : " + j + " jours " + h + " heures \n";
    txt = txt + "- Masse : " + masse + " Terre \n";
    txt = txt + "- Diamètre équatorial : " + diamètre + " km \n";
    return txt;
  }
  
  public double forceGravitation() {
    double G = 6.67408D * Math.pow(10.0D, -11.0D);
    double Ms = 1.989D * Math.pow(10.0D, 30.0D);
    double Mt = 5.976D * Math.pow(10.0D, 24.0D);
    double F = G * (masse * Mt * Ms / Math.pow(distance, 2.0D));
    return F;
  }
  
  public static void main(String[] args) {}
}
