import java.util.ArrayList;

public class SystèmeSolaire
{
  private ArrayList<Planète> planètes;
  
  public SystèmeSolaire(ArrayList<Planète> a) {
    planètes = a;
  }
  
  public void ajouterPlanète(Planète p) {
    planètes.add(p);
  }
  
  public String toString() {
    String txt = "Le système solaire est constitué des " + planètes.size() + " planètes suivantes : ";
    
    for (int i = 0; i < planètes.size(); i++) {
      if (i == planètes.size() - 1) {
        txt = txt + "et " + planètes.get(i)).nom;
      }
      else
      {
        txt = txt + planètes.get(i)).nom + ", ";
      }
    }
    return txt;
  }
  
  public Planète plusGrandeForceGravitationnelle() {
    int indice = 0;
    
    for (int i = 0; i < planètes.size(); i++) {
      if (((Planète)planètes.get(i)).forceGravitation() > ((Planète)planètes.get(indice)).forceGravitation()) {
        indice = i;
      }
    }
    System.out.println("La planète de ce système avec la plus grande force gravitationnelle est " + planètes.get(indice)).nom);
    return (Planète)planètes.get(indice);
  }
  
  public static void main(String[] args)
  {
    Planète p1 = new Planète("Mercure", 57.91D, 58.6666667D, 0.0553D, 4879);
    Planète p2 = new Planète("Vénus", 108.2D, 243.0D, 0.815D, 12104);
    Planète p3 = new Planète("Terre", 149.6D, 0.99752D, 1.0D, 12756);
    Planète p4 = new Planète("Mars", 227.9D, 1.00042824D, 0.107D, 6792);
    Planète p5 = new Planète("Jupiter", 778.3D, 0.37563657D, 318.0D, 142984);
    Planète p6 = new Planète("Saturne", 1429.0D, 0.41711806D, 95.2D, 120536);
    Planète p7 = new Planète("Uranus", 2875.0D, 0.70849537D, 14.5D, 51118);
    Planète p8 = new Planète("Neptune", 4504.0D, 0.66674769D, 17.1D, 49530);
    Planète p9 = new Planète("Pluton", 4900.0D, 9.37520833D, 0.0022D, 2300);
    
    ArrayList<Planète> liste = new ArrayList();
    liste.add(p1);
    liste.add(p2);
    liste.add(p3);
    liste.add(p4);
    liste.add(p5);
    liste.add(p6);
    liste.add(p7);
    liste.add(p8);
    liste.add(p9);
    
    SystèmeSolaire SS = new SystèmeSolaire(liste);
    System.out.println(SS);
    System.out.println(p3);
    System.out.println(p3.forceGravitation());
    
    SS.plusGrandeForceGravitationnelle();
  }
}
